/***************************************************************************
 *                                                                         *
 *   ISWINNT.C                                                             *
 *                                                                         *
 *   Copyright (C) 1996-1997 Galacticomm, Inc.    All Rights Reserved.     *
 *                                                                         *
 *   Checks for current Windows version.                                   *
 *                                                                         *
 *                                        - Ilya Minkin 05/02/96           *
 *                                                                         *
 ***************************************************************************/

#include <windows.h>
#include "gcomm.h"

#define FILREV "$Revision: 2 $"

GBOOL                              /*   return TRUE if it is WinNT         */
isWinNT(VOID)                      /* checks for Windows NT                */
{
     OSVERSIONINFO versionInfo;

     versionInfo.dwOSVersionInfoSize=sizeof(OSVERSIONINFO);
     GetVersionEx(&versionInfo);
     if (versionInfo.dwPlatformId == VER_PLATFORM_WIN32_NT) {
          return(TRUE);
     }
     else {
          return(FALSE);
     }
}
